%define contentdir /var/www

Summary: ht://Dig - Web search engine
Name: htdig
Version: 3.1.6
Release: 3
Epoch: 2
License: GPL
Group: Applications/Internet
Url: http://www.htdig.org/
Source: http://www.htdig.org/files/%{name}-%{version}.tar.gz
Source1: htdig.conf
Patch0: htdig-3.1.5-rh.patch
Patch1: htdig-3.1.6-fixcpp.patch
Patch2: htdig-3.1.6-fixmakefile.patch
Patch3: htdig-3.1.6-stl.patch
BuildRequires: flex >= 2.5.4a-13
BuildRequires: zlib-devel
BuildRoot: %{_tmppath}/%{name}-root

%package web
Summary: Scripts and HTML code needed for using ht://Dig as a web search engine
Group: Applications/Internet
Requires: %{name} = %{epoch}:%{version} webserver

%description
The ht://Dig system is a complete world wide web indexing and searching
system for a small domain or intranet. This system is not meant to replace
the need for powerful internet-wide search systems like Lycos, Infoseek,
Webcrawler and AltaVista. Instead it is meant to cover the search needs for
a single company, campus, or even a particular sub section of a web site. As
opposed to some WAIS-based or web-server based search engines, ht://Dig can
span several web servers at a site. The type of these different web servers
doesn't matter as long as they understand the HTTP 1.0 protocol.
ht://Dig is also used by KDE to search KDE's HTML documentation.

ht://Dig was developed at San Diego State University as a way to search the
various web servers on the campus network.

%description web
The ht://Dig system is a complete world wide web indexing and searching
system for a small domain or intranet. This system is not meant to replace
the need for powerful internet-wide search systems like Lycos, Infoseek,
Webcrawler and AltaVista. Instead it is meant to cover the search needs for
a single company, campus, or even a particular sub section of a web site. As
opposed to some WAIS-based or web-server based search engines, ht://Dig can
span several web servers at a site. The type of these different web servers
doesn't matter as long as they understand the HTTP 1.0 protocol.

The %{name}-web package includes CGI scripts and HTML code needed to use
ht://Dig on a website.

ht://Dig was developed at San Diego State University as a way to search the
various web servers on the campus network.


%prep
%setup -q
%patch0 -p1 -b .rh
%patch1 -p1 -b .fixcpp
%patch2 -p1 -b .fixmakefile
%patch3 -p1 -b .stl

%build
# Grrrr. Fix broken libtool/autoFOO configure.
%ifarch x86_64
perl -pi -e 's/\-L\${ZLIB_HOME}\/lib/\-L\${ZLIB_HOME}\/lib64/g' configure */configure
%endif

%configure \
	--enable-shared \
	--enable-tests \
	--enable-bigfile \
	--with-config-dir=%{_sysconfdir} \
	--with-common-dir=%{contentdir}/html/htdig \
	--with-database-dir=/var/lib/htdig \
	--localstatedir=/var/lib/htdig \
	--with-cgi-bin-dir=%{contentdir}/cgi-bin \
	--with-image-dir=%{contentdir}/html/htdig \
	--with-search-dir=%{contentdir}/html/htdig \
	--with-default-config-file=/etc/htdig.conf \
	--with-apache=/usr/sbin/httpd \
	--with-zlib=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT

ln $RPM_BUILD_ROOT%{contentdir}/cgi-bin/htsearch $RPM_BUILD_ROOT%{_bindir}

chmod 644 $RPM_BUILD_ROOT%{contentdir}/html/htdig/*
ln -sf search.html $RPM_BUILD_ROOT%{contentdir}/html/htdig/index.html
# now get rid of the $RPM_BUILD_ROOT paths in the conf files
for i in /etc/htdig.conf /usr/bin/rundig ; do
	perl -pi -e "s|$RPM_BUILD_ROOT||g" $RPM_BUILD_ROOT/$i
done
mkdir -p $RPM_BUILD_ROOT%{_datadir}
mv $RPM_BUILD_ROOT%{contentdir}/html/htdig $RPM_BUILD_ROOT%{_datadir}
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf.d/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/httpd/conf.d/htdig.conf

rm -rf $RPM_BUILD_ROOT%{_includedir}
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/HtFileType-magic.mime
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/mime.types

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc htdoc/*
%config %{_sysconfdir}/htdig.conf
%dir /var/lib/htdig
%{_bindir}/*
%{_datadir}/htdig

%files web
%defattr(-,root,root)
%{contentdir}/cgi-bin/*
%config %{_sysconfdir}/httpd/conf.d/htdig.conf

%changelog
* Tue Sep 02 2003 Phil Knirsch <pknirsch@redhat.com> 2:3.1.6-3
- Fixed problem with ntnotify and new STL.
- Fixed common_dir in htdig.conf.

* Tue Aug 05 2003 Phil Knirsch <pknirsch@redhat.com> 2:3.1.6-2
- Forgot to epochize the Requires for htdig-web.

* Tue Jul 29 2003 Phil Knirsch <pknirsch@redhat.com> 2:3.1.6-1
- Revert to last stable release for Taroon.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Phil Knirsch <pknirsch@redhat.com> 3.2.0-18.20030601
- Update to htdig-3.2.0b4-20030601 snapshot.
- Fixed build problems.

* Thu Mar 06 2003 Phil Knirsch <pknirsch@redhat.com> 3.2.0-17.20030302
- Update to htdig-3.2.0b4-20030302 snapshot.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan  8 2003 Jeff Johnson <jbj@redhat.com> 3.2.0-15.20021103
- don't include -debuginfo files in package.

* Tue Dec 17 2002 Phil Knirsch <pknirsch@redhat.com> 3.2.0-14.20021103
- Forgot to create conf.d directory. Fixed.
- Fixed wrong files section.

* Tue Dec 10 2002 Phil Knirsch <pknirsch@redhat.com> 3.2.0-13.20021103
- Removed symlink from %{contentdir}/html and replaced it with httpd.d conf
  file (#73518).

* Tue Dec 10 2002 Phil Knirsch <pknirsch@redhat.com> 3.2.0-12.20021103
- Added webserver requirement for htdig-web package (#73986).

* Wed Dec 04 2002 Phil Knirsch <pknirsch@redhat.com> 3.2.0-11.20021103
- Fix for autoFOO patch.
- Fix x64_64 build.

* Wed Nov 27 2002 Tim Powers <timp@redhat.com> 3.2.0-9.20021103
- rebuild on all arches

* Fri Nov 08 2002 Phil Knirsch <pknirsch@redhat.com> 3.2.0-8.20021103
- Updated to htdig-3.2.0b4-20021103.
- Fixed %files section errors.

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com> 3.2.0-7.20020505
- rebuilt with gcc-3.2 (we hope)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.2.0-6.20020505
- build using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 3.2.0-5.20020505
- automated rebuild

* Wed Jun 19 2002 Phil Knirsch <pknirsch@redhat.com> 3.2.0-4.20020505
- Don't forcibly strip binaries

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May  6 2002 Bernhard Rosenkraenzer <bero@linux-easy.com> 3.2.0-2.20020505
- Fix build with current toolchain (automake 1.6, autoconf 2.53 changes)
- Update snapshot, fixes some more problems

* Thu Jan 24 2002 Phil Knirsch <pknirsch@redhat.com>
- Updated to latest snapshot to fix several problems.
- Fixed a problem with htdig segfaulting on s390 (#58202).

* Fri Jul 20 2001 Philipp Knirsch <pknirsch@redhat.de>
- Added missing BuildRequires: zlib-devel (#49500)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Apr 27 2001 Bill Nottingham <notting@redhat.com>
- rebuild for C++ exception handling on ia64

* Wed Mar 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.2.0-0.b3.4
- move pictures etc. to base package and to a directory outside of
  /var/www - The current KDevelop search function doesn't work without
  them.

* Mon Mar  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add htsearch to the base package, kdevelop needs it

* Wed Jan 10 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Move the web related files to a separate package

* Tue Oct  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.2.0b2
- fix build with glibc 2.2 and gcc 2.96

* Sat Aug 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix syntax error introduced in our patch (#16598)

* Tue Aug 1 2000 Tim Powers <timp@redhat.com>
- fixed group to be a valid one

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild for Power Tools

* Thu Jun 29 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild for Power Tools

* Sat Feb 26 2000 Nalin Dahyabhai <nalin@redhat.com>
- 3.1.5

* Wed Jan 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.1.4
- fix URL and source location

* Tue Sep 28 1999 Preston Brown <pbrown@redhat.com>
- 3.1.3 for SWS 3.1

* Wed May 05 1999 Preston Brown <pbrown@redhat.com>
- updates for SWS 3.0

* Mon Aug 31 1998 Preston Brown <pbrown@redhat.com>
- Updates for SWS 2.0

* Sat Feb 07 1998 Cristian Gafton <gafton@redhat.com>
- built against glibc
- build all the fuzzy databases before packaging, because it is time
  consuming operation and we don't want the user to be impatient
